### Constructor

# Gsk LinearGradientNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_linear_gradient_node_new (
      const graphene_rect_t* bounds,
      const graphene_point_t* start,
      const graphene_point_t* end,
      const GskColorStop* color_stops,
      gsize n_color_stops
    )

#### Description [src]

Creates a `GskRenderNode` that will create a linear gradient from the given points and color stops, and render that into the area given by `bounds`.

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The rectangle to render the linear gradient into.

  The data is owned by the caller of the function.

`start`

  Type: `graphene_point_t`

  The point at which the linear gradient will begin.

  The data is owned by the caller of the function.

`end`

  Type: `graphene_point_t`

  The point at which the linear gradient will finish.

  The data is owned by the caller of the function.

`color_stops`

  Type: An array of `GskColorStop`

  A pointer to an array of `GskColorStop` defining the gradient. The offsets of all color stops must be increasing. The first stop’s offset must be >= 0 and the last stop’s offset must be <= 1.

  The length of the array is specified in the `n_color_stops` argument.
  The data is owned by the caller of the function.

`n_color_stops`

  Type: `gsize`

  The number of elements in `color_stops`.

#### Return value

Type: `GskLinearGradientNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.